Open Bug 1029775 Opened 6 years ago Updated 2 years ago

Intermittent test_ocsp_stapling_expired.js | test failed (with xpcshell return code: 0) | 2153389948 == 2153389954 | A promise chain failed to handle a rejection

Categories

(Core :: Security: PSM, defect, P3)

ARM
Gonk (Firefox OS)
defect

Tracking

()

Tracking Status
firefox41 --- disabled
b2g-master --- disabled

People

(Reporter: RyanVM, Unassigned)

References

Details

(Keywords: intermittent-failure, Whiteboard: [test disabled on B2G debug][leave open][psm-intermittent])

https://tbpl.mozilla.org/php/getParsedLog.php?id=42369581&tree=B2g-Inbound

b2g_emulator_vm b2g-inbound debug test xpcshell on 2014-06-24 09:03:15 PDT for push 3d1520d65a93
slave: tst-linux64-spot-785

10:16:18  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/security/manager/ssl/tests/unit/test_ocsp_stapling_expired.js | test failed (with xpcshell return code: 0), see following log:
10:16:18     INFO -  >>>>>>>
10:16:18     INFO -  xpcw: cd /data/local/tests/xpcshell/security/manager/ssl/tests/unit
10:16:18     INFO -  xpcw: xpcshell -r /data/local/tests/xpcshell/c/httpd.manifest -m -s -e const _HTTPD_JS_PATH = "/data/local/tests/xpcshell/c/httpd.js"; -e const _HEAD_JS_PATH = "/data/local/tests/xpcshell/head.js"; -e const _TESTING_MODULES_DIR = "/data/local/tests/xpcshell/m"; -f /data/local/tests/xpcshell/head.js -e const _SERVER_ADDR = "localhost" -e const _HEAD_FILES = ["/data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js"]; -e const _TAIL_FILES = []; -e const _TEST_FILE = ["test_ocsp_stapling_expired.js"]; -e _execute_test(); quit(0);
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: Failed to update pref 'camera.control.test.enabled' (0x8000ffff)
10:16:18     INFO -  : file ../../../gecko/dom/camera/CameraPreferences.cpp, line 136
10:16:18     INFO -  [7923] WARNING: Failed to update pref 'camera.control.test.hardware' (0x8000ffff)
10:16:18     INFO -  : file ../../../gecko/dom/camera/CameraPreferences.cpp, line 136
10:16:18     INFO -  [7923] WARNING: Failed to update pref 'camera.control.test.hardware.gonk.parameters' (0x8000ffff)
10:16:18     INFO -  : file ../../../gecko/dom/camera/CameraPreferences.cpp, line 136
10:16:18     INFO -  [7923] WARNING: Failed to update pref 'camera.control.test.method.error' (0x8000ffff)
10:16:18     INFO -  : file ../../../gecko/dom/camera/CameraPreferences.cpp, line 136
10:16:18     INFO -  [7923] WARNING: Failed to update pref 'camera.control.test.async.error' (0x8000ffff)
10:16:18     INFO -  : file ../../../gecko/dom/camera/CameraPreferences.cpp, line 136
10:16:18     INFO -  [7923] WARNING: Couldn't get the user appdata directory. Crash events may not be produced.: file ../../../gecko/toolkit/crashreporter/nsExceptionHandler.cpp, line 2158
10:16:18     INFO -  [7923] WARNING: NS_ENSURE_TRUE(lowMemFd != -1) failed: file ../../../gecko/widget/gonk/GonkMemoryPressureMonitoring.cpp, line 132
10:16:18     INFO -  System JS : ERROR (null):0 - uncaught exception: 2147500037
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_true : 773] true == true
10:16:18     INFO -  TEST-INFO | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | "arg_array =sql:tlsserver,good,localhostAndExampleCom,unused,/data/local/tests/xpcshell/security/manager/ssl/tests/unit/0.ocsp"
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 0 == 0
10:16:18     INFO -  TEST-INFO | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | "arg_array =sql:tlsserver,expiredresponse,localhostAndExampleCom,unused,/data/local/tests/xpcshell/security/manager/ssl/tests/unit/1.ocsp"
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 0 == 0
10:16:18     INFO -  TEST-INFO | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | "arg_array =sql:tlsserver,oldvalidperiod,localhostAndExampleCom,unused,/data/local/tests/xpcshell/security/manager/ssl/tests/unit/2.ocsp"
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 0 == 0
10:16:18     INFO -  TEST-INFO | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | "arg_array =sql:tlsserver,revoked,localhostAndExampleCom,unused,/data/local/tests/xpcshell/security/manager/ssl/tests/unit/3.ocsp"
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 0 == 0
10:16:18     INFO -  TEST-INFO | /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js | "arg_array =sql:tlsserver,unknown,localhostAndExampleCom,unused,/data/local/tests/xpcshell/security/manager/ssl/tests/unit/4.ocsp"
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 0 == 0
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test MAIN run_test pending (1)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 0 pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test MAIN run_test finished (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | running event loop
10:16:18     INFO -  TEST-INFO | test_ocsp_stapling_expired.js | Starting
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_true : 773] true == true
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_true : 773] true == true
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 0 finished (2)
10:16:18     INFO -  sending 'GET / HTTP/1.0
10:16:18     INFO -  '
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
10:16:18     INFO -  HTTP/1.0 200 OK
10:16:18     INFO -  content-type: text/plain
10:16:18     INFO -  connection: close
10:16:18     INFO -  server: httpd.js
10:16:18     INFO -  date: Tue, 24 Jun 2014 17:15:30 GMT
10:16:18     INFO -  content-length: 3
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 1 pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
10:16:18     INFO -  TEST-INFO | test_ocsp_stapling_expired.js | Starting
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 1 finished (2)
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired.example.com'
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired.example.com'
10:16:18     INFO -  read '0x30'
10:16:18     INFO -  sending '0'
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] "0" == "0"
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 0 == 0
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 1 == 1
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 2 pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
10:16:18     INFO -  TEST-INFO | test_ocsp_stapling_expired.js | Starting
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 2 finished (2)
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired-fresh-ca.example.com'
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired-fresh-ca.example.com'
10:16:18     INFO -  read '0x30'
10:16:18     INFO -  sending '0'
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] "0" == "0"
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 0 == 0
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 1 == 1
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 3 pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
10:16:18     INFO -  TEST-INFO | test_ocsp_stapling_expired.js | Starting
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 3 finished (2)
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired.example.com'
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired.example.com'
10:16:18     INFO -  PR_Recv failed: SSL_ERROR_BAD_CERT_ALERT
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 2153389948 == 2153389948
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 1 == 1
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 4 pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
10:16:18     INFO -  TEST-INFO | test_ocsp_stapling_expired.js | Starting
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 4 finished (2)
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired-fresh-ca.example.com'
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired-fresh-ca.example.com'
10:16:18     INFO -  PR_Recv failed: SSL_ERROR_BAD_CERT_ALERT
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 2153389948 == 2153389948
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 1 == 1
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 5 pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
10:16:18     INFO -  TEST-INFO | test_ocsp_stapling_expired.js | Starting
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 5 finished (2)
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired.example.com'
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired.example.com'
10:16:18     INFO -  PR_Recv failed: SSL_ERROR_BAD_CERT_ALERT
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 2153389948 == 2153389948
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 1 == 1
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 6 pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
10:16:18     INFO -  TEST-INFO | test_ocsp_stapling_expired.js | Starting
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 6 finished (2)
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired-fresh-ca.example.com'
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired-fresh-ca.example.com'
10:16:18     INFO -  PR_Recv failed: SSL_ERROR_BAD_CERT_ALERT
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 2153389948 == 2153389948
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 1 == 1
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 7 pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
10:16:18     INFO -  TEST-INFO | test_ocsp_stapling_expired.js | Starting
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 7 finished (2)
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired.example.com'
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired.example.com'
10:16:18     INFO -  PR_Recv failed: SSL_ERROR_BAD_CERT_ALERT
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 2153389948 == 2153389948
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 1 == 1
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 8 pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
10:16:18     INFO -  TEST-INFO | test_ocsp_stapling_expired.js | Starting
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 8 finished (2)
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired.example.com'
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired.example.com'
10:16:18     INFO -  PR_Recv failed: SSL_ERROR_BAD_CERT_ALERT
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 2153389948 == 2153389948
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 1 == 1
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 9 pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
10:16:18     INFO -  TEST-INFO | test_ocsp_stapling_expired.js | Starting
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 9 finished (2)
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired.example.com'
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired.example.com'
10:16:18     INFO -  PR_Recv failed: SSL_ERROR_REVOKED_CERT_ALERT
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 2153390068 == 2153390068
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 1 == 1
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 10 pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
10:16:18     INFO -  TEST-INFO | test_ocsp_stapling_expired.js | Starting
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 10 finished (2)
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired-fresh-ca.example.com'
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired-fresh-ca.example.com'
10:16:18     INFO -  PR_Recv failed: SSL_ERROR_REVOKED_CERT_ALERT
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 2153390068 == 2153390068
10:16:18     INFO -  TEST-PASS | /data/local/tests/xpcshell/head.js | [do_check_eq : 762] 1 == 1
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 11 pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test finished (2)
10:16:18     INFO -  TEST-INFO | test_ocsp_stapling_expired.js | Starting
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test pending (2)
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | test run_next_test 11 finished (2)
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired.example.com'
10:16:18     INFO -  found pre-defined host 'ocsp-stapling-expired.example.com'
10:16:18     INFO -  PR_Recv failed: SSL_ERROR_BAD_CERT_ALERT
10:16:18  WARNING -  TEST-UNEXPECTED-FAIL | /data/local/tests/xpcshell/head.js | 2153389948 == 2153389954 - See following stack:
10:16:18     INFO -  JS frame :: /data/local/tests/xpcshell/head.js :: do_check_eq :: line 762
10:16:18     INFO -  JS frame :: /data/local/tests/xpcshell/security/manager/ssl/tests/unit/head_psm.js :: add_connection_test/</< :: line 300
10:16:18     INFO -  JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: Handler.prototype.process :: line 863
10:16:18     INFO -  JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: this.PromiseWalker.walkerLoop :: line 742
10:16:18     INFO -  JS frame :: /data/local/tests/xpcshell/head.js :: _do_main :: line 191
10:16:18     INFO -  JS frame :: /data/local/tests/xpcshell/head.js :: _execute_test :: line 405
10:16:18     INFO -  JS frame :: -e :: <TOP_LEVEL> :: line 1
10:16:18     INFO -  native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
10:16:18     INFO -  TEST-INFO | (xpcshell/head.js) | exiting test
10:16:18  WARNING -  TEST-UNEXPECTED-FAIL | None |  A promise chain failed to handle a rejection: 2147500036 - rejection date: Tue Jun 24 2014 13:16:12 GMT-0400 (EDT) - See following stack:
10:16:18     INFO -  JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: PendingErrors.register :: line 164
10:16:18     INFO -  JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: this.PromiseWalker.completePromise :: line 670
10:16:18     INFO -  JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: Handler.prototype.process :: line 899
10:16:18     INFO -  JS frame :: resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js :: this.PromiseWalker.walkerLoop :: line 742
10:16:18     INFO -  JS frame :: /data/local/tests/xpcshell/head.js :: _do_main :: line 191
10:16:18     INFO -  JS frame :: /data/local/tests/xpcshell/head.js :: _execute_test :: line 405
10:16:18     INFO -  JS frame :: -e :: <TOP_LEVEL> :: line 1
10:16:18     INFO -  native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
10:16:18     INFO -  !!! error running onStopped callback: TypeError: callback is not a function
10:16:18     INFO -  [7923] WARNING: Leaking the RDF Service.: file ../../../gecko/rdf/build/nsRDFModule.cpp, line 165
10:16:18     INFO -  [7923] WARNING: '!compMgr', file /builds/slave/b2g_b2g-in_emu-d_dep-000000000/build/gecko/xpcom/glue/nsComponentManagerUtils.cpp, line 59
10:16:18     INFO -  [7923] WARNING: OOPDeinit() without successful OOPInit(): file ../../../gecko/toolkit/crashreporter/nsExceptionHandler.cpp, line 2588
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  [7923] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file ../../../gecko/xpcom/base/nsTraceRefcnt.cpp, line 144
10:16:18     INFO -  nsStringStats
10:16:18     INFO -   => mAllocCount:           4270
10:16:18     INFO -   => mReallocCount:          829
10:16:18     INFO -   => mFreeCount:            4270
10:16:18     INFO -   => mShareCount:           9904
10:16:18     INFO -   => mAdoptCount:            531
10:16:18     INFO -   => mAdoptFreeCount:        531
10:16:18     INFO -   => Process ID: 7923, Thread ID: 1074476168
10:16:18     INFO -  <<<<<<<
Blocks: 1059955
Maybe we should just skip the test on B2G.
Flags: needinfo?(cykesiopka.bmo)
(In reply to Ryan VanderMeulen [:RyanVM UTC-4] from comment #230)
> Maybe we should just skip the test on B2G.

Sure, but let's see if David has any objections/has investigated etc.
I unfortunately don't think I have enough time to investigate this in the near future.
Flags: needinfo?(cykesiopka.bmo) → needinfo?(dkeeler)
I haven't had time to look into this, and I don't know what's going on. I think for now it's fine if we just skip it.
Flags: needinfo?(dkeeler)
Mass whiteboard change to annotate PSM intermittent test failures as [psm-intermittent]. Filter on 31b932bd-1aad-4e29-9f4b-4cd864a3ffdc if that's important to you.
Whiteboard: [test disabled on B2G debug][leave open] → [psm-intermittent]
Well, looks like the mass bug change form isn't a magic bullet.
Whiteboard: [psm-intermittent] → [test disabled on B2G debug][leave open][psm-intermittent]
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3
You need to log in before you can comment on or make changes to this bug.